<?php
session_start();
  require("config.php");
  // o usuĂĄrio estĂĄ logado?
  if(!isset($_SESSION["id_usuario_logado"])){
    header("Location: login.php");
    exit;
  }

// tem permissão para alterar?
if(!Permissao::podeAlterar($_SESSION["nivel_acesso"])){
  header("Location: erro_permissao.php");
  exit;  
}
// fim permissão para alterar

$id_usuario_logado = $_SESSION["id_usuario_logado"];
$id_plano = tratar_entrada(utf8_decode(trim($_POST["id_plano_contas"])));
$tipo = tratar_entrada(utf8_decode(trim($_POST["tipo"])));
$nome = tratar_entrada(utf8_decode(trim($_POST["nome"])));
$descricao = tratar_entrada(utf8_decode(trim($_POST["descricao"])));

   $result = mysqli_query($conexao, "UPDATE plano_contas SET nome = '$nome', obs = '$descricao', id_tipo_conta = '$tipo'
	  WHERE id = '$id_plano'");
 
  if($result){
	  
	  // vamos registrar esse log
  $ip = getUserIpAddr();
  $id_usuario_logado = $_SESSION["id_usuario_logado"];
  $usuario_logado = $_SESSION["usuario_logado"];
  $texto_log = 'O usuario ' . $usuario_logado . ' atualizou o plano de contas ' . $nome . '.';
  $result_2 = mysqli_query($conexao, "INSERT into logs values (null, '$id_usuario_logado', '$texto_log', 
    NOW(), '$usuario_logado', '$ip')");
  // fim registrar o log 
	  
	 header("Location: plano_contas.php?plano=$id_plano&sucesso=ok");
     exit; 
  }
  else{
	$_SESSION["erro_banco_dados"] = "Houve um erro no cadastro de plano de contas.<br><br>Erro: " . mysqli_error($conexao);
  header("Location: erro_banco_dados.php");
  exit;  
  }
?>
